Get workflow
Workflow details including columns and documents (requires workflows:read).
path Parameters
workflow_idGet workflow › Responses
Successful Response
nameWorkflow name
app_idApplication ID (e.g., 'deal-screening')
entity_idWorkflow description
Extensible metadata
idstatusWorkflow lifecycle status
is_extractingOverall extraction status: not_started, pending, complete, has_failures
List workflow columns
path Parameters
workflow_idList workflow columns › Responses
Successful Response
nameColumn name
column_typeColumn data type
promptNatural language extraction prompt
workflow_idorderDisplay order
Column width in UI
Tag options [{id, label, color, stageId}]
inputsList of column IDs this column depends on
Task type for this column
Model ID for this column
Sub-field definitions for table columns [{name, type, prompt}]
idis_deletedList workflow documents
path Parameters
workflow_idquery Parameters
document_idReturn only documents with the specific ID. Should be used for filtering
List workflow documents › Responses
Successful Response
nameworkflow_idstatusDocument processing pipeline status
File URL from associated file
Upload documents
path Parameters
workflow_idquery Parameters
collection_idcollection_nameName of the collection to upload the documents to. If not existing, a new collection will be created.
Upload documents › Request Body
filesBinary files to upload. File Blobs. Not 1s and 0s, but actual files
file_namesDisplay names for each uploaded file, parallel to the files array.
JSON object with customer reference data for validation columns
Upload documents › Responses
Successful Response
nameworkflow_idstatusDocument processing pipeline status
File URL from associated file
Signed upload URLs
path Parameters
workflow_idSigned upload URLs › Request Body
File metadata for each upload
Signed upload URLs › Responses
Confirm signed URL uploads
path Parameters
workflow_idConfirm signed URL uploads › Request Body
file_idsFile IDs to confirm
Add documents to existing collection
Create new collection and add documents
validation_dataCustomer reference JSON to validate extractions against
Confirm signed URL uploads › Responses
Successful Response
nameDocument name
workflow_idAssociated file ID
Current workflow stage
is_collectionIs this a collection
Parent document ID for collections
Collection ID this document belongs to
Order within collection
User-defined label for the document
idstatusDocument processing pipeline status
File URL from associated file
Delete document
Delete a document and its file from the workflow. Pass collection_id when deleting from a specific collection; the document must belong to that collection.
path Parameters
workflow_iddocument_idquery Parameters
collection_idWhen set, the document must belong to this collection.
Delete document › Responses
Successful Response
statusOperation status
Deleted workflow ID
Deleted column ID
Deleted document ID